Jump to content


< Back to Forum


 

Problem With Upgrade From Vg 7.5.5669 To 7.5.5766


  • Please log in to reply

#1 Sebastian 18 April 2016 - 06:58 PM

Hi,

 

In one of our VG server we have VG version 7.5.5669 and we want to upgrade to 7.5.5766. Unfortunetly after upgrade VG won't start. In logs files we have:

204123.408   6               [Assembly.Load]:ktTel = ktTelDialogicSR60vista.dll
204123.408   6               assembly ktTel path: C:\Program Files (x86)\VoiceGuide\ktTelDialogicSR60vista.dll
204123.423   6         ERROR v7.5.5766.13040 (15-Oct-15  7:14:39.81) Load_Layer_ktTel_Dynamic [C:\Program Files (x86)\VoiceGuide\ktTelDialogicSR60vista.dll] 
 : A procedure imported by 'ktTelDialogicSR60vista.dll' could not be loaded.

   at System.Reflection.RuntimeAssembly.nLoadFile(String path, Evidence evidence)
   at System.Reflection.Assembly.LoadFile(String path)
   at ..()
204123.423   6               try using Dependency Walker http://www.dependencywalker.com/ to check if any pre-requisite .DLLs are missing
204123.423   6         ERROR Load_Layer_ktTel_Dynamic did not complete

I'm sending in attachment full logs file.



#2 SupportTeam 18 April 2016 - 07:54 PM

Looks like the system was not updated with the new ktTelDialogicSR60vista.dll file. This may happen when the install is ran while some VoiceGudie programs (or the service itself) is still running.

 

Recommend running the install again, but this time ensure that all other VoiceGuide applications are stopped. You can use the Windows Task Manager to confirm this.

 

You could also then just delete the ktTelDialogicSR60vista.dll and vgEngine.dll files before running the new install. This way you would be certain that the files then placed on your system come from new install.